Subject: Re: bug#48029: 28.1; [native-comp] Function names with non-ascii characters

From: Andrea Corallo <[email-masked]>
Date: Sun, 02 May 2021 21:19:44 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> [email-masked] writes:
>
>> nonascii.el, saved with encoding utf-8-unix:
>>
>>     ;; -*- lexical-binding: t; -*-
>>     (defun nonascii-test-žžž (arg)
>>       (when arg t))
>>
>> Visit it and M-x emacs-lisp-native-compile-and-load.
>> A function called "nonascii-test-Å¾Å¾Å¾" will be defined.
>
> I can reproduce this problem here, too (under Debian/bullseye).  (And
> this works fine when doing non-native compilation.)
>
> I've added Andrea to the CCs.

Thanks Lars,

it's in my todo, I'll try to have a look this coming week.

  Andrea